Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.
nombre réponses : 25

#0 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 26/11/2011, à 13:25

yoann21
Réponses : 809

C'est vraiment bizarre votre problème.
Je viens de faire une install fraiche d'une oneiric 32 bit sur virtualbox et mis à part le problème avec la libssl, tout a fonctionné ensuite.

Pouvez -vous donc, pour ceux chez qui ça ne fonctionne pas, me mettre votre distribution, l'architecture (32/64) et ces commandes :

Dofus_Uplauncher
/opt/Dofus_Paquet/share/UpLauncher
dpkg -l | grep 'libssl'

#1 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 05/12/2011, à 20:11

yoann21
Réponses : 809
nematan a écrit :

aucune réponse ?

Désolé, j'ai vraiment pas une seconde à moi en ce moment. Mais après avoir fait quelques test en machine virtuelle, je je n'arrive pas à reproduire ton problème. Je regarderai ça plus en détail en fin de semaine.

#2 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 07/12/2011, à 18:59

yoann21
Réponses : 809

Salut,

Tu as le problème classique de la libssl.

sudo apt-get install libssl0.9.8

#3 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 28/02/2012, à 21:03

yoann21
Réponses : 809
loulou21 a écrit :

salut a toi yoann jai installer dofus en lancant tout tes conseil le dofus updater marche mais quand je met jouer il m'ouvre un autre ecran noir et tout s'eteind ensuite comment y remedier
merci d'avance

Salut,

Comment as-tu installé AIR, le deb pour 32 bit ou le .bin pour 64bit ?

Et sinon, peux-tu essayer de lancer Dofus via cette commande pour me dire les erreurs que ça renvoi ?

/opt/Dofus_Paquet/bin/Dofus

#4 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 06/03/2012, à 16:26

yoann21
Réponses : 809
Valezan a écrit :

Bonjour,
Un peu hors sujet mais je poste tout de même sur ce fil qui semble être suivi par beaucoup de joueurs dont certains, utilisateurs avancés de Linux.
Adobe a arrêté le développement d'AdobeAIR pour Linux, savez-vous s'il existe déjà des projets libres pour remplacer ce logiciel devenu (malheureusement) indispensable à Dofus ? On peut lire que "... all is not entirely lost; Adobe will be providing a “Linux porting kit” for Air for their Open Screen Project partners who can take it upon themselves create and build their own implementations of Air on Linux." (source) mais je ne trouve rien pour le moment...
Cordialement

(raison de l'édition : erreur)

Je n'ai rien trouvé non plus.
Ca m'étonnerait que beaucoup de développeurs soient intéressés par faire un AIR libre, c'est pas mal de boulot. A ma connaissance, peu d'applications l'utilisent.
Surtout que Lightspark et Gnash sont pas encore utilisable complètement et que AIR a besoin fortement de Flash pour fonctionner.

Donc à mon avis, à long terme, Dofus sous linux, c'est fini.

J'ai aussi lu que Adobe a décidé d'arrêter le support "classique" de Linux pour flash. Il sera dispo que via une nouvelle API de plugin de Chrome.

#5 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 08/03/2012, à 12:58

yoann21
Réponses : 809

Salut,

Donc quand tu as le message que l'updater est déjà lancé, ce n'est pas vraiment le cas.
Pour vérifier si une autre instance est en cours, l'updater vérifie si un fichier de "lock" a été créé.
Le problème c'est que si tu as lancé l'updater en root et que le fichier de lock est resté, tu ne pourras jamais relancé l'updater en user non root.

Fait donc ces commandes et retente de lancer l'updater depuis le menu :

sudo rm /opt/Dofus_Paquet/share/com.ankama.dofus2.lock
sudo chown -R romain:romain /opt/Dofus_Paquet

#6 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 08/03/2012, à 14:32

yoann21
Réponses : 809
Crazystorm a écrit :

Merci pour ta réponse.

sudo rm /opt/Dofus_Paquet/share/com.ankama.dofus2.lock
rm: impossible de supprimer «/opt/Dofus_Paquet/share/com.ankama.dofus2.lock»: Aucun fichier ou dossier de ce type

J'ai retenté de lancer le launcher après la commande chown, il s'est lancé correctement. C'était donc un problème de droit au niveau de mon groupe ?

Non, en fait t'avais pas mis l'option -R (récursif) au chown donc du coup t'as changé les droits uniquement du répertoire et non de son contenu.

#7 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 13/03/2012, à 16:28

yoann21
Réponses : 809
Alhowa a écrit :

Bonjour smile

Depuis que je suis passé sous Ubuntu Studio (64bit) il m'est impossible d'installer AdobeAIR. J'ai recherché absolument partout, suivi la documentation à la lettre. J'ai même demandé de l'aide au support du jeu qui n'a, hélas, pas trouvé de solution à mon problème (étant donné qu'il ne se situe pas au niveau du jeu).

J'ai les librairies 32bit.

Lorsque je lance la commande :

wget http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRInstaller.bin
chmod 755 AdobeAIRInstaller.bin
./AdobeAIRInstaller.bin

A la fin j'obtiens ça à chaque fois :

(setup:12706): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

(setup:12706): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

J'espère que vous pourrez m'aider.

Cordialement

Salut smile

Tu devrais essayer de te servir de mon script d'installation pour les distro non supportées (ne pas l'exécuter en root) :
http://dl.dropbox.com/u/12943198/Dofus.sh

Ce script utilise le sdk de AIR, qui ne nécessite pas d'installation, donc ça devrait le faire.

#8 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 21/05/2012, à 20:33

yoann21
Réponses : 809
chepioq a écrit :

Bonjour,
Depuis quelque temps, je n'ai plus de son sur Dofus, tout fonctionne sauf le son.
Y-a-t-il un soucis quelque part ?
Je ne pense pas que cela vienne de mon ordi, car j'ai aussi Wakfu d'installé, et le son fonctionne avec ce jeu.

Salut,

Je viens de réinstaller Dofus, aucun soucis de son pour ma part. Peut-tu me mettre ici le contenu de ton fichier /opt/Dofus_Paquet/share/uplauncher.log ?

Au passage, j'ai mis à jour le paquet pour le rendre compatible avec Precise.
J'ai aussi supprimé Dofus_Direct car c'est trop lourd à maintenir.

#9 Re : -1 »  [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc) » Le 29/05/2012, à 22:50

yoann21
Réponses : 809

Bizarre tout ça. On va déjà vérifier si la structure des répertoires pour le son est ok.

J'ai besoin du résultat de ces commandes :

ls -l /opt/Dofus_Paquet/share/reg/
ls -l /opt/Dofus_Paquet/share/reg/share
ls -l /opt/Dofus_Paquet/share/reg/bin

#10 Re : -1 »  Sortie de Rekonq 0.7 » Le 22/11/2011, à 23:30

yoann21
Réponses : 966
Nicologx a écrit :

Ok wink

À propos, j'observe de nombreux crash...
Le dernier m'a donné ceci (je n'affiche que le thread 1, mais j'ai enregistrer le reste au cas où):

Pour ce crash, j'ai l'impression que ce n'est pas lié à rekonq mais à webkit/qtwebkit. J'ai repéré plein d'autre crash similaire sur le bugtracker donc ton cas n'est pas isolé smile

Nicologx a écrit :

Par contre une chose assez exceptionnelle: lorsque je lance la page d'accueil du siteduzero.com (edit: et d'autres sites également), LibreOffice se lance!?

J'avais jamais vu encore big_smile
Quel type de fichier rekonq a voulu ouvrir avec libreoffice ?

#11 Re : -1 »  Sortie de Rekonq 0.7 » Le 12/12/2011, à 13:01

yoann21
Réponses : 966

Salut,
Si tu veux compiler et installer rekonq 0.8.1 à la place de ta version courante, il faut que tu désinstalle le paquet avant.
Ensuite c'est assez classique :

mkdir build ; cd build
cmake .. -DCMAKE_INSTALL_PREFIX=/usr
make -j2
sudo make install

Sinon je ferai des paquets de cette version dans mon ppa stable pendant la semaine, donc comme tu veux :)

#12 Re : -1 »  Sortie de Rekonq 0.7 » Le 13/12/2011, à 23:49

yoann21
Réponses : 966

Pour la dernière version en développement, c'est ici : https://launchpad.net/~yoann-laissus/+a … rekonq-ppa

Pour les versions stables, c'est dans ce ppa là : https://launchpad.net/~yoann-laissus/+a … onq-stable
Mais ça m'étonnerait que j'ai le temps de packager la 0.8.1 avant la fin de semaine.

#13 Re : -1 »  Sortie de Rekonq 0.7 » Le 29/05/2012, à 21:42

yoann21
Réponses : 966

Oups, j'ai fait une petite erreur dans mon nouveau script pour récupérer les fichiers de langues.
Merci d'avoir remonté l'info, je corrige ça dans la foulée !

EDIT : Corrigé. Les nouveaux paquets arrivent !
Pour les téméraires, j'ai également uploadé les premiers paquets quantal smile

#14 Re : -1 »  Installation de skype [Résolu] » Le 23/11/2011, à 20:58

yoann21
Réponses : 26

Salut,

Tu peux télécharger le .deb depuis le site officiel : http://www.skype.com/intl/en/get-skype/ … ter/linux/

#15 Re : -1 »  Installation de skype [Résolu] » Le 23/11/2011, à 23:02

yoann21
Réponses : 26

Normalement tu as un raccourci dans ton menu (Application -> Internet)
Sinon tu peux lancer skype depuis Konsole :

skype

#16 Re : -1 »  Installation de skype [Résolu] » Le 29/12/2011, à 11:48

yoann21
Réponses : 26

Salut,

Il fallait adapter le chemin dans cette commande : sudo dpkg -i /chemin vers/skype*.deb wink
Donc ouvre ton terminal et fait cette commande pour installer skype :

sudo dpkg -i /home/kemerson/skype-ubuntu_2.2.0.35-1_i386.deb.1

#17 Re : -1 »  Installation de skype [Résolu] » Le 29/12/2011, à 20:37

yoann21
Réponses : 26
Tuxuntu a écrit :

Marche toujours pas:

kemerson@kemerson-laptop:~$ wget http://download.skype.com/linux/skype-ubuntu_2.2.0.35-1_i386.deb
--2011-12-29 14:31:58--  http://download.skype.com/linux/skype-ubuntu_2.2.0.35-1_i386.deb
Résolution de download.skype.com... échec: Nom ou service inconnu.
wget : impossible de résoudre l'adresse de l'hôte «download.skype.com»
kemerson@kemerson-laptop:~$ wget http://download.skype.com/linux/skype-ubuntu_2.2.0.35-1_i386.deb
--2011-12-29 14:32:13--  http://download.skype.com/linux/skype-ubuntu_2.2.0.35-1_i386.deb
Résolution de download.skype.com... 213.146.168.244
Connexion vers download.skype.com|213.146.168.244|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Longueur: 23595390 (23M) [application/octet-stream]
Sauvegarde en : «skype-ubuntu_2.2.0.35-1_i386.deb.2»

100%[======================================>] 23595390     179K/s   ds 70s     

2011-12-29 14:33:23 (330 KB/s) - «skype-ubuntu_2.2.0.35-1_i386.deb.2» sauvegardé [23595390/23595390]

kemerson@kemerson-laptop:~$ sudo dpkg -i /home/kemerson/skype-ubuntu_2.2.0.35-1_i386.deb.1
dpkg : erreur de traitement de /home/kemerson/skype-ubuntu_2.2.0.35-1_i386.deb.1 (--install) :
 l'architecture du paquet (i386) ne correspond pas à celle du système (amd64)
Des erreurs ont été rencontrées pendant l'exécution :
 /home/kemerson/skype-ubuntu_2.2.0.35-1_i386.deb.1
kemerson@kemerson-laptop:~$ sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-2.6.32-33 linux-headers-2.6.32-33-generic
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
kemerson@kemerson-laptop:~$ 

D'après ton avant dernière commande tu n'as pas téléchargé le paquet de la bonne architecture. Tu es en 64 bit et le paquet est 32 bit.
Fait donc ça pour télécharger et installer le paquet correct :

wget http://download.skype.com/linux/skype-ubuntu_2.2.0.35-1_amd64.deb
sudo dpkg -i skype-ubuntu_2.2.0.35-1_amd64.deb

Comme φlip l'a dit, ça sert à rien de refaire le wget à chaque fois.

#18 Re : -1 »  Installation de skype [Résolu] » Le 29/12/2011, à 22:57

yoann21
Réponses : 26

Le problème vient bien de la :

dpkg : erreur de traitement de /home/kemerson/skype-ubuntu_2.2.0.35-1_i386.deb.1 (--install) :
 l'architecture du paquet (i386) ne correspond pas à celle du système (amd64)

Oui, je suis bien d'accord avec toi. Si le paquet est installé, cela fonctionnera parfaitement si les lib 32 bit sont là. Mais dpkg bloque l'installation des paquets dont l'architecture est différente de celle cible (sauf pour les paquets noarch). Il n'y a donc rien à y faire de ce côté là à part refaire le paquet à la main à coup de dpkg-deb ou un --force-all mais c'est pas très propre (surtout qu'un paquet 64 bit existe) smile

#19 Re : -1 »  Installation de skype [Résolu] » Le 30/12/2011, à 12:14

yoann21
Réponses : 26
φlip a écrit :

Ce serait intéressant de savoir si aptitude sait résoudre ça.

A ma connaissance, aptitude ne sait pas gérer de paquet deb directement mais uniquement depuis les dépôts.

Mais c'est une belle illustration qu'installer un système 64 bits est source d'emmerdes, l'intérêt étant proche de zéro, et nul dans l'extrême majorité des cas.

Ca c'est clair ... Y'a rien qu'à voir flash il y a quelques mois.

Pas sûr que le problème soit uniquement un problème d'architecture du paquet skype, un train pouvant en cacher un autre.

linux-headers-2.6.3x-generic: lucid : Linux kernel headers on x86 / x86_64

Le paquet que tu as cité est "noarch" et donc installable sur toutes les architectures. Il ne contient aucun binaire dépendant d'une architecture.

Pour skype, le paquet est  bel et bien un paquet "i386".

Cela est défini dans le fichier "control" du paquet debian dans l'archive debian.tar.gz (en décompressant le paquet).
Il y a donc 2 choix possibles pour le champ architecture : all ou une architecture précise (i386, amd64, arm, etc...)

#20 Re : -1 »  probleme avec logitheque muon » Le 17/01/2012, à 19:10

yoann21
Réponses : 20

Salut,

Peux-tu nous mettre le contenu du deuxième onglet dans la fenetre du plantage ?
Par contre, il faudra peut être que t'installe (comme indiqué dans la fenêtre) les paquets de déboguage liés à muon.

#21 Re : -1 »  En route vers KDE 4.8 » Le 22/12/2011, à 12:56

yoann21
Réponses : 423

Je viens de faire la mise à jour sur une machine virtuelle et aucun problème de dépendance. Donc ça a l'air d'être résolu smile

#22 Re : -1 »  En route vers KDE 4.8 » Le 26/02/2012, à 14:49

yoann21
Réponses : 423

Pour ceux que ça intéresse j'ai fait des paquets de Qt 4.8 (dernière version git) pour precise et backporté pour oneiric.
Ils contiennent donc le fix pour les appli qui restent dans la barre des taches après être fermée et les autres bugs liés à ça.

C'est ici : https://launchpad.net/~yoann-laissus/+archive/testing

Je les utilise depuis quelques jours sur une machine precise et une autre sous oneiric et aucun problème.

#23 Re : -1 »  problemes apres installation kubuntu 11.10 » Le 17/01/2012, à 19:48

yoann21
Réponses : 3

Salut

1/ cf autre topic
2/ Vérifie le niveau de luminosité dans les différents profils (Gestion de l'énergie dans SystemSettings)
3/ Oui c'est probablement du au pilote. Une solution serait de passer sur le pilote propriétaire mais s'il n'y a que ça comme problème autant rester sur le pilote libre à mon avis.
4/ Pas besoin de par-feu ni d'antivirus du moment que tu n'installes pas n'importe quoi smile

#24 Re : -1 »  Installation de freemi » Le 31/12/2011, à 00:57

yoann21
Réponses : 2

Salut,

Donc le fichier que tu as téléchargé est une archive que tu dois décompresser.
Elle contient les fichiers exécutables de FreeMi. Le fichier à exécuter pour lancer FreeMi est un .exe. N'essaie pas de le lancer par Wine ça ne marchera pas. C'est un programme .net donc il faudra se servir de Mono.

On va donc installer les librairies de mono :

sudo apt-get install mono-runtime

Ensuite, tu vas te placer à l'endroit ou tu as extrait FreeMi et le lancer :

cd chemin_de_FreeMi
mono --runtime=v4.0 FreeMi.exe

Si tu as des messages d'erreur, met les ici wink